Loading...
Searching...
No Matches
etl::reference_counter< TCounter > Class Template Reference

A specific type of reference counter. More...

`#include <reference_counted_object.h>`

## Public Member Functions

| reference_counter ()
| Constructor.
virtual void | set_reference_count (int32_t value) ETL_OVERRIDE
| Set the reference count.
virtual void | increment_reference_count () ETL_OVERRIDE
| Increment the reference count.
virtual ETL_NODISCARD int32_t | decrement_reference_count () ETL_OVERRIDE
| Decrement the reference count.
virtual ETL_NODISCARD int32_t | get_reference_count () const ETL_OVERRIDE
| Get the current reference count.

## Detailed Description

template<typename TCounter>
class etl::reference_counter< TCounter >

A specific type of reference counter.

## Member Function Documentation

## decrement_reference_count()

template<typename TCounter>

virtual ETL_NODISCARD int32_t etl::reference_counter< TCounter >::decrement_reference_count | ( |  | ) |

inline virtual

Decrement the reference count.

Implements etl::ireference_counter.

## get_reference_count()

template<typename TCounter>

virtual ETL_NODISCARD int32_t etl::reference_counter< TCounter >::get_reference_count | ( |  | ) | const

inline virtual

Get the current reference count.

Implements etl::ireference_counter.

## increment_reference_count()

template<typename TCounter>

virtual void etl::reference_counter< TCounter >::increment_reference_count | ( |  | ) |

inline virtual

Increment the reference count.

Implements etl::ireference_counter.

## set_reference_count()

template<typename TCounter>

virtual void etl::reference_counter< TCounter >::set_reference_count | ( | int32_t | value | ) |

inline virtual

Set the reference count.

Implements etl::ireference_counter.

The documentation for this class was generated from the following file:

- include/etl/reference_counted_object.h